Skip to main content
`Ctrl`+`K`

# EPSSetDeflationSpace

Specify a basis of vectors that constitute the deflation space.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetDeflationSpace(EPS eps,PetscInt n,Vec v[])

Collective

## Input Parameters

- eps - the linear eigensolver context

- n - number of vectors

- v - set of basis vectors of the deflation space

## Notes

When a deflation space is given, the eigensolver seeks the eigensolution in the restriction of the problem to the orthogonal complement of this space. This can be used for instance in the case that an invariant subspace is known beforehand (such as the nullspace of the matrix).

These vectors do not persist from one `EPSSolve()` call to the other, so the deflation space should be set every time.

The vectors do not need to be mutually orthonormal, since they are explicitly orthonormalized internally.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetInitialSpace()`

## Level

intermediate

## Location

src/eps/interface/epssetup.c

## Examples

src/eps/tutorials/ex11.c
src/eps/tutorials/ex7.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages